Page MenuHomePhabricator

Draft design brief for section editing feature
Closed, ResolvedPublic

Description

Background: a design brief will describe what success looks like for our feature.

Goals for brief:

  • restate the problem
  • state proposed solution and hypothesis
  • identify all requirements for feature
  • identify any technical/design constraints that should be factored in
  • identify any milestones

Audience: Anyone who has to implement, understand or reference the design.

Examples:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 5 2018, 6:37 PM
iamjessklein renamed this task from Draft design brief for section editing to Draft design brief for section editing feature.Nov 5 2018, 6:37 PM
iamjessklein updated the task description. (Show Details)
JTannerWMF moved this task from To Triage to Up next on the VisualEditor board.Nov 20 2018, 4:31 PM
JTannerWMF moved this task from Up next to Current work on the VisualEditor board.
JTannerWMF edited projects, added VisualEditor (Current work); removed VisualEditor.
iamjessklein added a comment.EditedNov 29 2018, 4:18 PM

I shared and had a productive conversation about this slide deck with the editing team. I will drop the key requirements into the EPIC task T209955

iamjessklein closed this task as Resolved.Nov 29 2018, 4:19 PM